Subject: Re: Netfilter: kernel panic with REDIRECT target. (2.6.23 and 2.6.23.8)

From: Patrick McHardy <[email-masked]>
Date: Tue, 20 Nov 2007 13:11:11 +0100

Evgeniy Polyakov wrote:
>>>> Ok, let's try it hard way.
>>>> Please check attached patch and tell if it helped (it will produce
>>>> some debug though).
>>> With both patches applied - one Patrick showed and this one.
>>>   
>> Now works, with this in dmesg
>>
>> conntrack: ea94159c, new: ead4d7c4, old: ead4d7d0, ct: 00000000.
> 
> David (Miller :), please apply attached patch, which also needed to fix
> netfilter connection tracking bug.
> When connection tracking entry (nf_conn) is about to copy itself it can
> have some of its extension users (like nat) as being already freed and
> thus not required to be copied.
> Frankly saying, it can be not the correct fix, but from code observation
> and test, perfomed by David <[email-masked]> it is.

I also don't believe this can be correct, let me look into this
first.